<ion-header>
  <ion-toolbar>
    <ion-title>
      Ciudades
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-list-header>Listado de ciudades</ion-list-header>
    <ion-select #citySelect 
                (ionChange)="showCity(citySelect.value)"  
                okText="Seleccionar" 
                cancelText="Cancelar"
                placeholder="Seleccione una ciudad">
      <ion-select-option *ngFor="let city of cities" value={{city.name}}>{{city.name}}</ion-select-option>
    </ion-select>
  </ion-list>

  <ion-card *ngIf="current_city">
    <ion-card-header>
      <ion-card-subtitle>{{current_city}}</ion-card-subtitle>
      <ion-card-title>Temperatura: {{current_temp}}°, Max: {{current_max}}°, Min: {{current_min}}°</ion-card-title>
    </ion-card-header>
  </ion-card>

  <ion-button color="dark" (click)="saveCity(current_city)" *ngIf="current_city">Añadir a favoritos</ion-button>
</ion-content>
